OCF_HEARTBEAT_LVM(7)

NAME
ocf_heartbeat_LVM - Controls the availability of an LVM Volume Group

SYNOPSIS

LVM [start | stop | status | monitor | meta-data | validate-all]

DESCRIPTION

Resource script for LVM. It manages an Linux Volume Manager volume (LVM) as an HA resource.

SUPPORTED PARAMETERS

volgrpname
    The name of volume group.

    (unique, required, string, no default)

exclusive
    If set, the volume group will be activated exclusively. This option works one of two ways. If the volume group has the cluster attribute set, then the volume group will be activated exclusively using clvmd across the cluster. If the cluster attribute is not set, the volume group will be activated exclusively using a tag and the volume_list filter. When the tag option is in use, the volume_list in lvm.con must be initialized. This can be as simple as setting 'volume_list = []' depending on your setup.

    (optional, boolean, default false)

tag
    If "exclusive" is set on a non clustered volume group, this overrides the tag to be used.

    (optional, string, default "pacemaker")

partial_activation
    If set, the volume group will be activated partially even with some physical volumes missing. It helps to set to true when using mirrored logical volumes.

    (optional, string, default "false")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 30s.

stop
    Stops the resource. Suggested minimum timeout: 30s.

status
    Performs a status check. Suggested minimum timeout: 30s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 30s. Suggested interval: 10s.

methods
    Suggested minimum timeout: 5s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a LVM resource using the crm(8) shell:

    primitive p_LVM ocf:heartbeat:LVM \
      params \
        volgrpname=string \
      op monitor depth="0" timeout="30s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a LVM resource using pcs(8)

    pcs resource create p_LVM ocf:heartbeat:LVM \
      volgrpname=string \
      op monitor depth="0" timeout="30s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)